@media (min-width: 460px) {
  .landing-content {
    top: 25%;
  }

  .landing-intro {
    right: 6rem;
  }
}
@media (min-width: 768px) {
  body {
    justify-content: center;
  }
  .landing-page {
    width: min(90%, 1400px);
    height: 75vh;
    margin: 0 auto;
    position: relative;
    border: 1px solid rgba(255, 255, 255, 0.35);
    border-radius: 12px;

    box-shadow:
    /* Ljus kant upptill */
      inset 0 2px 6px rgba(255, 255, 255, 0.18),
      /* Djupare skugga nedtill */ inset 0 -8px 16px rgba(0, 0, 0, 0.75),
      /* Svag inre glow */ inset 0 0 25px rgba(0, 234, 255, 0.04),
      /* Cyan glow runt rutan */ 0 0 12px rgba(0, 234, 255, 0.15),
      0 0 35px rgba(0, 234, 255, 0.08);

    transition:
      opacity 1s ease,
      transform 1s ease;
    transform-origin: 53% 45%;

    overflow: hidden;
  }

  .landing-mobile-bg {
    display: none;
  }

  .landing-space-mobile {
    display: none;
  }

  .landing-desktop-bg {
    position: absolute;
    inset: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center 10%;

    filter: brightness(0.65) saturate(0.7);
  }

  .landing-space-desktop {
    position: absolute;
    left: 0rem;
    top: 1rem;

    width: 18rem;
    height: 25rem;
    background-image: url(../assets/images-spacewindow/space.MAYBE.webp);
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    filter: contrast(1.25) brightness(0.9);

    animation: space 1200s linear infinite;
    z-index: -2;
  }

  .landing-content {
    position: absolute;
    inset: 0;

    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;

    color: white;
    font-family: "Orbitron", sans-serif;
  }

  .landing-profile {
    position: absolute;

    left: 50%;
    top: 14%;
    width: 15rem;
    z-index: 2;
  }

  .landing-profile img {
    width: 100%;
    height: auto;

    mask-image: linear-gradient(to bottom, black 96%, transparent 100%);
  }

  .landing-intro {
    position: absolute;
    left: 60%;
    top: 59%;
    text-align: left;
    line-height: 1.3;
    z-index: 2;
  }

  .landing-intro p {
    font-size: 0.55rem;
    letter-spacing: 0.25rem;
    font-weight: 600;
  }

  .landing-intro h1 {
    font-size: 1.35rem;
    letter-spacing: 0.2rem;
    line-height: 1.3;
    max-width: none;
  }

  .landing-intro h2 {
    font-size: 0.55rem;
    letter-spacing: 0.25rem;
  }

  .intro-text,
  .landing-intro h2,
  .tech-stack h3 {
    color: #00eaff;
  }

  .tech-stack {
    position: absolute;

    right: -10.8rem;
    top: 12rem;

    z-index: 2;
  }

  .section-divider {
    width: 20rem;
    border-top: 1px solid #00eaff;
    opacity: 0.3;
    margin-bottom: 0.5rem;
  }

  .tech-stack h3 {
    font-size: 0.6rem;
    letter-spacing: 0.2rem;
    margin-top: 0.1rem;
  }

  .tech-stack span {
    display: inline-block;

    width: 3.3rem;
    padding: 0.3rem;

    /* margin-right: 0.5rem; */
    font-size: 0.6rem;
    text-align: center;
    letter-spacing: 0.15rem;
    border: 1px solid #00eaff;
    border-radius: 6px;
  }

  .enter-cta {
    position: absolute;

    right: -9rem;
    bottom: 1rem;

    width: 16rem;
    height: 3.8rem;

    border: 1px solid #00eaff;
    border-radius: 6px;

    color: #d7e5f2;
    text-decoration: none;

    font-size: 1rem;
    font-weight: 700;
    letter-spacing: 0.25rem;
    transition: all 0.3s ease;
  }
}

@media (min-width: 1024px) and (hover: hover) {
  .enter-cta:hover {
    transform: translateY(-3px);

    background: rgba(0, 234, 255, 0.03);

    box-shadow:
      0 0 10px rgba(0, 234, 255, 0.3),
      0 0 16px rgba(0, 234, 255, 0.15);

    text-shadow:
      0 0 4px rgba(255, 255, 255, 0.5),
      0 0 8px rgba(0, 234, 255, 0.4);
  }
}

@media (min-width: 1024px) {
  .landing-profile img {
    width: 100%;
    height: auto;

    mask-image: linear-gradient(to bottom, black 96%, transparent 100%);
  }

  .landing-intro {
    left: 54%;
    top: 73%;
  }

  .tech-stack {
    top: 2rem;
  }

  .tech-stack span {
    width: 3rem;
  }
}

@media (min-width: 1440px) {
  .landing-space-desktop {
    left: 3rem;
  }

  .landing-profile {
    width: 17rem;
  }

  .landing-intro {
    left: 53%;
    top: 70%;
  }

  .landing-intro p {
    font-size: 0.6rem;
  }

  .landing-intro h1 {
    font-size: 1.7rem;
    letter-spacing: 0.25rem;
  }

  .landing-intro h2 {
    font-size: 0.6rem;
  }

  .tech-stack {
    top: 7rem;
  }
}

@media (min-width: 1920px) {
  .landing-profile {
    left: 50%;
    top: 14%;
    width: 15rem;
  }

  .landing-intro {
    left: 52%;
    top: 65%;
  }

  .landing-intro p {
    font-size: 0.5rem;
  }

  .landing-intro h1 {
    font-size: 1.6rem;
    letter-spacing: 0.25rem;
  }

  .landing-intro h2 {
    font-size: 0.5rem;
  }

  .tech-stack {
    position: absolute;

    right: -10.8rem;
    top: 6.2rem;

    z-index: 2;
  }

  .enter-cta {
    bottom: 1.5rem;
  }
}

@media (min-width: 2560px) {
  .landing-profile {
    left: 50%;
    top: 14%;
    width: 15rem;
  }

  .landing-intro {
    left: 51.5%;
    top: 58%;
  }

  .landing-intro p {
    font-size: 0.55rem;
  }

  .landing-intro h1 {
    letter-spacing: 0.25rem;
  }

  .landing-intro h2 {
    font-size: 0.55rem;
  }

  .tech-stack {
    position: absolute;

    right: -10.8rem;
    top: 10.5rem;

    z-index: 2;
  }

  .enter-cta {
    bottom: 1.5rem;
  }
}
